#
#  Copyright (C) 2013-2018 Red Hat, Inc.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#

%global make_common_opts \\\
	PACKAGE_NAME=%{name} \\\
	RPM_VERSION=%{version} \\\
	RPM_RELEASE=%{release} \\\
	PREFIX=%{_prefix} \\\
	SYSCONF_DIR=%{_sysconfdir} \\\
	DATAROOT_DIR=%{_datadir} \\\
	MAN_DIR=%{_mandir} \\\
	PYFLAKES=true \\\
	PEP8=true \\\
	%{?null}

Summary:	RHV-M setup plugins
Name:		rhvm-setup-plugins
Version:	4.2.6
Release:	1%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		%{name}-4.2.6-1.tar.gz
Group:		Virtualization/Management

BuildArch:	noarch

BuildRequires:	python

Requires:	ovirt-engine-setup-plugin-ovirt-engine >= 4.0.0
Requires:	ovirt-setup-lib >= 1.0.1
Conflicts:	ovirt-engine < 4.1.10
Obsoletes:	rhevm-setup-plugins < %{version}
Provides:	rhevm-setup-plugins = %{version}

%description
Setup plugins for RHV-M

%prep
%setup -q -n %{name}-4.2.6

%build
make %{?_smp_mflags} %{make_common_opts}

%install
make %{?_smp_mflags} %{make_common_opts} install DESTDIR="%{buildroot}"

# Compile python files
%{__python} -m compileall -f -q -d / "%{buildroot}"
%{__python} -O -m compileall -f -q -d / "%{buildroot}"

%files
%license LICENSE
%doc README
%{_datadir}/ovirt-engine/setup/ovirt_engine_setup/rhvm*
%{_datadir}/ovirt-engine/setup/plugins/*/rhvm-setup-plugins/

%changelog
* Wed Apr 18 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 4.2.6-1
- Resolves: BZ#1568736
- Resolves: BZ#1552194

* Tue Feb 27 2018 -  Ido Rosenzwig <irosenzw@redhat.com> - 4.2.5-1
- Resolves: BZ#1532279

* Tue Feb 27 2018 - Yedidyah Bar David <didi@redhat.com> - 4.2.4-1
- Resolves: BZ#1548868

* Wed Feb 21 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 4.2.3-1
- Resolves: BZ#1543526

* Wed Feb 14 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 4.2.2-1
- Resolves: BZ#1540871
- Resolves: BZ#1537032
- Resolves: BZ#1543526

* Tue Dec 19 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 4.2.1-1
- Resolves: BZ#1527105

* Tue Nov 28 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 4.2.0-1
- Initial packaging of rhvm-setup-plugins, rebranded from rhevm-setup-plugins.
- Resolves: BZ#1405603
- Resolves: BZ#1440131
- Resolves: BZ#1460863
- Resolves: BZ#1488084
